Environment Backup - Create Environment Backup

Creates a backup of the specified environment (Preview).

POST https://api.powerplatform.com/environmentmanagement/environments/{environmentId}/backups?api-version=2024-10-01

URI Parameters

Name In Required Type Description
environmentId
path True

string

The ID of Environment.

api-version
query True

string

The API version.

Request Body

Media Types: "application/json", "text/json", "application/*+json"

Name Required Type Description
label True

string

The label for the manually created backup.

Responses

Name Type Description
201 Created

EnvironmentBackup

Created

Media Types: "text/plain", "application/json", "text/json"

400 Bad Request

ValidationResponse

Bad Request

Media Types: "text/plain", "application/json", "text/json"

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
CreateBackupRequest

Request model for creating a backup.

EnvironmentBackup
ErrorEntry

Represents the error detail for a single entry in an error dictionary.

ErrorInfo

Represents error information for an operation.

Identity
ValidationResponse

Represents the response for validation of an operation.

CreateBackupRequest

Request model for creating a backup.

Name Type Description
label

string

The label for the manually created backup.

EnvironmentBackup

Name Type Description
backupExpiryDateTime

string (date-time)

Backup expiry date time based on retention period in days.

backupPointDateTime

string (date-time)

The backup point date time. Set when backup is created.

createdBy

Identity

id

string

Environment backup ID. Auto-generated GUID if null.

label

string

The label for the manually created backup.

ErrorEntry

Represents the error detail for a single entry in an error dictionary.

Name Type Description
errorMessages

string[]

The error messages describing what is wrong.

suggestedValue

string

A suggested or accepted value that would resolve the error.

ErrorInfo

Represents error information for an operation.

Name Type Description
code

string

The error Code.

fieldErrors

<string,  ErrorEntry>

The detailed error.

Identity

Name Type Description
displayName

string

id

string

tenantId

string

ValidationResponse

Represents the response for validation of an operation.

Name Type Description
errorDetail

ErrorInfo

Represents error information for an operation.